Subject: Re: [bitcoin-dev] Capital Efficient Honeypots w/ "Scorched Earth" Doublespending Protection

From: Gregory Maxwell <[email-masked]>
Date: Wed, 24 Aug 2016 23:38:30 +0000

On Wed, Aug 24, 2016 at 11:03 PM, Chris Priest via bitcoin-dev
<[email-masked]> wrote:
> How does your system prevent against insider attacks? How do you know
> the money is stolen by someone who compromised server #4, and not
> stolen by the person who set up server #4? It is my understanding
> these days most attacks are inside jobs.

Working as designed in that case:  You know #4 is compromised, it
doesn't tell you if it was an insider or an outsider, but in both
cases someone unauthorized or without integrity got access to the
key(s).